import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.activation.DataHandler;


import de.fhg.iais.kd.gridr.services.CondorRWebserviceUtil;
import java.io.File;

@WebService
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT, use = SOAPBinding.Use.LITERAL, parameterStyle = SOAPBinding.ParameterStyle.WRAPPED)
public class CondorRWebservice {

	public CondorRWebservice() {}
	
	public static DataHandler executeGridR(DataHandler rCode, DataHandler localLibFile) {
		if (localLibFile == null ) System.err.println("localLibFile is null");
        
		File receivedRCode = new File(rCode.getName());
        System.err.println("Received "+receivedRCode.getAbsolutePath());
        
        File receivedFile = new File(localLibFile.getName());
        System.err.println("Received "+receivedFile.getAbsolutePath());
        
		CondorRWebserviceUtil grws = new CondorRWebserviceUtil();
		DataHandler result = grws.executeGridR( receivedRCode.getAbsolutePath(), receivedFile.getAbsolutePath());
		System.out.println("CondorRWebservice finished!");
		return result;
		
		
	}
	
	

	
	public static void main(String[] args) {		
	//	System.out.println(executeGridR("load(\"rCodeLib\") \n y=c() \n library(codetools) \n checkUsage(f, report=function(s){assign(\"y\",paste(y, s), .GlobalEnv)}) \n if(is.null(y)) #otherwise checkUsage reports an error \n y = try(eval(parse(text=\"f(5)\"))) \n save(list=c(\"y\"),file=\"y.dat\", ascii=TRUE)", localLibFile));
		
	}
	
}
